Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class PoolConfigTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.PoolConfigTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, PoolConfigType<T>

    public class PoolConfigTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, PoolConfigType<T>

This class implements the `pool-configType` xsd type

Original Documentation:

Element for specifying the class used to provide the caching mechanism for a bean,
and the cache parameters

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`PoolConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`PoolConfigTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.Integer` | `getPoolMaxSize()` Returns the `pool-max-size` element
`java.lang.Integer` | `getPoolTimeout()` Returns the `pool-timeout` element
`java.lang.String` | `getPoolValue()` Returns the `pool-value` element
`PoolConfigType<T>` | `removePoolMaxSize()` Removes the `pool-max-size` element
`PoolConfigType<T>` | `removePoolTimeout()` Removes the `pool-timeout` element
`PoolConfigType<T>` | `removePoolValue()` Removes the `pool-value` element
`PoolConfigType<T>` | `setPoolMaxSize(java.lang.Integer poolMaxSize)` If not already created, a new `pool-max-size` element with the given value will be created.
`PoolConfigType<T>` | `setPoolTimeout(java.lang.Integer poolTimeout)` If not already created, a new `pool-timeout` element with the given value will be created.
`PoolConfigType<T>` | `setPoolValue(java.lang.String poolValue)` If not already created, a new `pool-value` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PoolConfigTypeImpl

    public PoolConfigTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### PoolConfigTypeImpl

    public PoolConfigTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setPoolValue

    public PoolConfigType<T> setPoolValue(java.lang.String poolValue)

  If not already created, a new `pool-value` element with the given value will be created. Otherwise, the existing `pool-value` element will be updated with the given value.

  Specified by:
    `setPoolValue` in interface `PoolConfigType<T>`
  Returns:
    the current instance of `PoolConfigType`

### removePoolValue

    public PoolConfigType<T> removePoolValue()

  Removes the `pool-value` element

  Specified by:
    `removePoolValue` in interface `PoolConfigType<T>`
  Returns:
    the current instance of `PoolConfigType`

### getPoolValue

    public java.lang.String getPoolValue()

  Returns the `pool-value` element

  Specified by:
    `getPoolValue` in interface `PoolConfigType<T>`
  Returns:
    the node defined for the element `pool-value`

### setPoolMaxSize

    public PoolConfigType<T> setPoolMaxSize(java.lang.Integer poolMaxSize)

  If not already created, a new `pool-max-size` element with the given value will be created. Otherwise, the existing `pool-max-size` element will be updated with the given value.

  Specified by:
    `setPoolMaxSize` in interface `PoolConfigType<T>`
  Returns:
    the current instance of `PoolConfigType`

### removePoolMaxSize

    public PoolConfigType<T> removePoolMaxSize()

  Removes the `pool-max-size` element

  Specified by:
    `removePoolMaxSize` in interface `PoolConfigType<T>`
  Returns:
    the current instance of `PoolConfigType`

### getPoolMaxSize

    public java.lang.Integer getPoolMaxSize()

  Returns the `pool-max-size` element

  Specified by:
    `getPoolMaxSize` in interface `PoolConfigType<T>`
  Returns:
    the node defined for the element `pool-max-size`

### setPoolTimeout

    public PoolConfigType<T> setPoolTimeout(java.lang.Integer poolTimeout)

  If not already created, a new `pool-timeout` element with the given value will be created. Otherwise, the existing `pool-timeout` element will be updated with the given value.

  Specified by:
    `setPoolTimeout` in interface `PoolConfigType<T>`
  Returns:
    the current instance of `PoolConfigType`

### removePoolTimeout

    public PoolConfigType<T> removePoolTimeout()

  Removes the `pool-timeout` element

  Specified by:
    `removePoolTimeout` in interface `PoolConfigType<T>`
  Returns:
    the current instance of `PoolConfigType`

### getPoolTimeout

    public java.lang.Integer getPoolTimeout()

  Returns the `pool-timeout` element

  Specified by:
    `getPoolTimeout` in interface `PoolConfigType<T>`
  Returns:
    the node defined for the element `pool-timeout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD